const {
    SchemaField,
    ObjectField,
    NumberField,
    StringField,
    EmbeddedDocumentField,
    DocumentIdField,
    ArrayField,
    ForeignDocumentField
} = foundry.data.fields;

export class GroupDataModel extends foundry.abstract.TypeDataModel {

    static defineSchema() {
        return {
            name: new StringField(),
            inventory: new SchemaField({
                quantity: new NumberField(),
                item: new DocumentIdField(Item)
            }),
            characters: new ArrayField(
                new DocumentIdField(Actor)
            ),
            settings: new ObjectField(),
        }
    }

}
